Skip to main content
GET
Get balance sheet statement

Headers

Authorization
string
required

Value must be 'Bearer ' where is an API key prefixed with 'bc_' or a JWT token.

Example:

"Bearer bc_1234567890abcdef"

organization-id
string
required

Required if Authorization is a JWT token. The organization ID to operate within.

accept
string
required

Query Parameters

displayColumnsType
enum<string>
default:total
required

Type of columns to display in the balance sheet

Available options:
total,
date_periods
displayColumnsBy
enum<string>
default:year
required

Time period for column display

Available options:
day,
month,
year,
quarter
fromDate
string

Start date for the balance sheet period

toDate
string

End date for the balance sheet period

precision
number

Number of decimal places to display

Example:

2

divideOn1000
boolean

Whether to divide the number by 1000

Example:

false

showZero
boolean

Whether to show zero values

Example:

true

formatMoney
enum<string>

How to format money values

Available options:
total,
always,
none
Example:

"total"

negativeFormat
enum<string>

How to format negative numbers

Available options:
parentheses,
mines
Example:

"parentheses"

noneTransactions
boolean
default:false

Whether to include accounts with no transactions

noneZero
boolean
default:false

Whether to exclude zero balance accounts

basis
enum<string>

Accounting basis for the balance sheet

Available options:
cash,
accrual
accountIds
number[]
required

Array of account IDs to include in the balance sheet

percentageOfColumn
boolean
default:false

Whether to show percentage of column total

percentageOfRow
boolean
default:false

Whether to show percentage of row total

previousPeriod
boolean
default:false

Whether to include previous period data

previousPeriodAmountChange
boolean
default:false

Whether to show amount change from previous period

previousPeriodPercentageChange
boolean
default:false

Whether to show percentage change from previous period

previousYear
boolean
default:false

Whether to include previous year data

previousYearAmountChange
boolean
default:false

Whether to show amount change from previous year

previousYearPercentageChange
boolean
default:false

Whether to show percentage change from previous year

Response

Balance sheet statement

query
object
required

Query parameters used to generate the report

data
object[]
required

Hierarchical balance sheet data

meta
object
required

Report metadata